# Class TCefStreamReaderRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFStreamReader

## Declaration

`type TCefStreamReaderRef = class(TCefBaseRefCountedRef, ICefStreamReader)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefStreamReaderRef

## Overview

### Methods

| `function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;`
| `function Seek(offset: Int64; whence: Integer): Integer;`
| `function Tell: Int64;`
| `function Eof: Boolean;`
| `function MayBlock: Boolean;`
| `class function UnWrap(data: Pointer): ICefStreamReader;`
| `class function CreateForFile(const filename: ustring): ICefStreamReader;`
| `class function CreateForCustomStream(const stream: ICefCustomStreamReader): ICefStreamReader;`
| `class function CreateForStream(const stream: TSTream; owned: Boolean): ICefStreamReader;`
| `class function CreateForData(data: Pointer; size: NativeUInt): ICefStreamReader;`
| `class function CreateForHandler(const handler: ICefReadHandler): ICefStreamReader;`

## Description

### Methods

| `function Read(ptr: Pointer; size, n: NativeUInt): NativeUInt;`
This item has no description. Showing description inherited from ICefStreamReader.Read. Read raw binary data.

| `function Seek(offset: Int64; whence: Integer): Integer;`
This item has no description. Showing description inherited from ICefStreamReader.Seek. Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

| `function Tell: Int64;`
This item has no description. Showing description inherited from ICefStreamReader.Tell. Return the current offset position.

| `function Eof: Boolean;`
This item has no description. Showing description inherited from ICefStreamReader.Eof. Return non-zero if at end of file.

| `function MayBlock: Boolean;`
This item has no description. Showing description inherited from ICefStreamReader.MayBlock. Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

| `class function UnWrap(data: Pointer): ICefStreamReader;`
This item has no description.

| `class function CreateForFile(const filename: ustring): ICefStreamReader;`
This item has no description.

| `class function CreateForCustomStream(const stream: ICefCustomStreamReader): ICefStreamReader;`
This item has no description.

| `class function CreateForStream(const stream: TSTream; owned: Boolean): ICefStreamReader;`
This item has no description.

| `class function CreateForData(data: Pointer; size: NativeUInt): ICefStreamReader;`
This item has no description.

| `class function CreateForHandler(const handler: ICefReadHandler): ICefStreamReader;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.